summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss@sss.chaoslab.ru>2017-06-22 14:19:08 +0300
committerGluzskiy Alexandr <sss@sss.chaoslab.ru>2017-06-22 14:19:08 +0300
commitd2b4a273b9984d85aca874e79d0176b06068cea0 (patch)
tree22f3f36a6e8a5a27fea0d8241ea15e33f3e35897
parent3b5f4199cc1e4a3c523e31fa847ada2772bb0be6 (diff)
added evolution-scm version
-rw-r--r--mail-client/evolution/evolution-scm.ebuild133
-rw-r--r--mail-client/evolution/metadata.xml24
2 files changed, 157 insertions, 0 deletions
diff --git a/mail-client/evolution/evolution-scm.ebuild b/mail-client/evolution/evolution-scm.ebuild
new file mode 100644
index 0000000..88cb178
--- /dev/null
+++ b/mail-client/evolution/evolution-scm.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit flag-o-matic readme.gentoo-r1 git-r3 cmake-utils
+
+DESCRIPTION="Integrated mail, addressbook and calendaring functionality"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evolution"
+
+EGIT_REPO_URI="git://git.gnome.org/evolution"
+
+# Note: explicitly "|| ( LGPL-2 LGPL-3 )", not "LGPL-2+".
+LICENSE="|| ( LGPL-2 LGPL-3 ) CC-BY-SA-3.0 FDL-1.3+ OPENLDAP"
+SLOT="2.0"
+
+IUSE="archive +bogofilter crypt geolocation highlight ldap spamassassin spell ssl +weather -ytnef -outlook"
+
+KEYWORDS=""
+
+S="${WORKDIR}/${PN}-${PV}"
+
+# We need a graphical pinentry frontend to be able to ask for the GPG
+# password from inside evolution, bug 160302
+PINENTRY_DEPEND="|| ( app-crypt/pinentry[gnome-keyring] app-crypt/pinentry[gtk] app-crypt/pinentry[qt4] app-crypt/pinentry[qt5] )"
+
+# glade-3 support is for maintainers only per configure.ac
+# pst is not mature enough and changes API/ABI frequently
+# dconf explicitely needed for backup plugin
+# gnome-desktop support is optional with --enable-gnome-desktop
+COMMON_DEPEND="
+ >=app-crypt/gcr-3.4:=
+ >=app-text/enchant-1.1.7
+ >=dev-libs/glib-2.46:2[dbus]
+ >=dev-libs/libxml2-2.7.3:2
+ >=gnome-base/gnome-desktop-2.91.3:3=
+ >=gnome-base/gsettings-desktop-schemas-2.91.92
+ >=gnome-extra/evolution-data-server-${PV}:=[gtk,weather?]
+ >=media-libs/libcanberra-0.25[gtk3]
+ >=net-libs/libsoup-2.42:2.4
+ >=net-libs/webkit-gtk-2.13.90:4
+ >=x11-libs/cairo-1.9.15:=[glib]
+ >=x11-libs/gdk-pixbuf-2.24:2
+ >=x11-libs/gtk+-3.10:3
+ >=x11-libs/libnotify-0.7:=
+ >=x11-misc/shared-mime-info-0.22
+
+ >=app-text/iso-codes-0.49
+ dev-libs/atk
+ gnome-base/dconf
+ dev-libs/libical:=
+ x11-libs/libSM
+ x11-libs/libICE
+
+ archive? ( >=app-arch/gnome-autoar-0.1.1[gtk] )
+ crypt? (
+ >=app-crypt/gnupg-1.4
+ ${PINENTRY_DEPEND}
+ x11-libs/libcryptui )
+ geolocation? (
+ >=media-libs/libchamplain-0.12:0.12[gtk]
+ >=media-libs/clutter-1.0.0:1.0
+ >=media-libs/clutter-gtk-0.90:1.0
+ >=sci-geosciences/geocode-glib-3.10.0
+ x11-libs/mx:1.0 )
+ ldap? ( >=net-nds/openldap-2:= )
+ spell? ( app-text/gtkspell:3 )
+ ssl? (
+ >=dev-libs/nspr-4.6.1:=
+ >=dev-libs/nss-3.11:= )
+ weather? ( >=dev-libs/libgweather-3.10:2= )
+ ytnef? ( net-mail/ytnef )
+ outlook? ( net-mail/libpst )
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ app-text/yelp-tools
+ >=dev-util/gtk-doc-am-1.14
+ >=dev-util/intltool-0.40.0
+ >=gnome-base/gnome-common-2.12
+ virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ bogofilter? ( mail-filter/bogofilter )
+ highlight? ( app-text/highlight )
+ spamassassin? ( mail-filter/spamassassin )
+ !gnome-extra/evolution-exchange
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="To change the default browser if you are not using GNOME, edit
+~/.local/share/applications/mimeapps.list so it includes the
+following content:
+
+[Default Applications]
+x-scheme-handler/http=firefox.desktop
+x-scheme-handler/https=firefox.desktop
+
+(replace firefox.desktop with the name of the appropriate .desktop
+file from /usr/share/applications if you use a different browser)."
+
+src_configure() {
+ # Use NSS/NSPR only if 'ssl' is enabled.
+
+ local mycmakeargs=(
+ $(cmake-utils_use_enable weather WEATHER)
+ $(cmake-utils_use_enable archive AUTOAR)
+ $(cmake-utils_use_enable ytnef YTNEF)
+ $(cmake-utils_use_enable highlight TEXT_HIGHLIGHT)
+ $(cmake-utils_use_enable outlook PST_IMPORT)
+ )
+
+ cmake-utils_src_configure
+
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ # Problems with prelink:
+ # https://bugzilla.gnome.org/show_bug.cgi?id=731680
+ # https://bugzilla.gnome.org/show_bug.cgi?id=732148
+ # https://bugzilla.redhat.com/show_bug.cgi?id=1114538
+ echo PRELINK_PATH_MASK=/usr/bin/evolution > ${T}/99${PN}
+ doenvd "${T}"/99${PN}
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ readme.gentoo_print_elog
+}
diff --git a/mail-client/evolution/metadata.xml b/mail-client/evolution/metadata.xml
new file mode 100644
index 0000000..b6c9356
--- /dev/null
+++ b/mail-client/evolution/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>gnome@gentoo.org</email>
+ <name>Gentoo GNOME Desktop</name>
+ </maintainer>
+ <use>
+ <flag name="archive">Enable archives support in attachments via
+ <pkg>app-arch/gnome-autoar</pkg></flag>
+ <flag name="bogofilter">Build <pkg>mail-filter/bogofilter</pkg> plugin</flag>
+ <flag name="crypt">Enable GPG encryption support using
+ <pkg>app-crypt/gnupg</pkg> and <pkg>app-crypt/pinentry</pkg></flag>
+ <flag name="geolocation">Enable support for displaying contacts on a map
+ inside evolution using <pkg>media-libs/libchamplain</pkg></flag>
+ <flag name="highlight">Enable text highlighting
+ plugin</flag>
+ <flag name="ldap">Enable support for fetching contacts from an LDAP or
+ Active Directory server using <pkg>net-nds/openldap</pkg></flag>
+ <flag name="spamassassin">Build <pkg>mail-filter/spamassassin</pkg>
+ plugin</flag>
+ <flag name="weather">Enable optional weather calendar support</flag>
+ </use>
+</pkgmetadata>